image: python:slim-bullseye

stages :
    - test
    - deploy

pytest:
    stage: test
    before_script:
        - pip install -r requirements.txt
        - pip install pytest
    script :
        - pytest

deploy-to-pypi:
    stage: deploy
    before_script:
        - pip install twine
    script:
        - sed -i "s/version='.*'/version='$CI_COMMIT_TAG'/" setup.py
        - cat setup.py
        - python3 setup.py sdist
        - python3 -m twine upload --repository-url https://upload.pypi.org/legacy/ --username __token__ --password $PYPI_TOKEN dist/*
    only:
        - tags
    
